Skip to content

Aritma Banking API (v3)

Languages
Servers
Mock server
https://developer.aritma.com/_mock/apis/banking/v3/openapi/bankservice-openapi
Open Banking API
https://bankservice.zdata.no
Open Banking API (Dev)
https://bankservicedemo.zdata.no

Account

Operations

AccountGroup

Operations

Balance

Operations

Company

Operations

EventGridDeadLetter

Operations

EventGridSubscription

Operations

Onboarding

Operations

Payment

Operations

Receivable

Operations

Recipients

Operations

Services

Operations

POST request for new bank integration

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Body

Model

companyIdstring(uuid)required

Company id to register associate with service

bicstringnon-emptyrequired

Bank identifier code

bankApprovalboolean
{ "CompanyId": "c985a8a3-d2f3-4ab3-9822-8b353ec3c89d", "Bic": "DNBANOKK", "BankApproval": true }

Responses

Returns service id. Request added for ZData approval

Body
string(uuid)
Response
No response example

Gets company services

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required

Company id

Query
stateinteger(int32)(BankServiceState)

Optional state filter

Enum012345
No request payload

Responses

Service dto's

BodyArray [
idstring(uuid)

Service id

companyIdstring(uuid)

Company id

namestring or null

Service name

stateinteger(int32)(BankServiceState)

BankServiceState

  • 0 - Unknown
  • 1 - Active
  • 2 - Wait for signing
  • 3 - Wait for bank approve
  • 4 - Wait for zData approve
  • 5 - Deactivated
Enum012345
bicstring or null

Service BIC

createdstring(date-time)

Service creation time

]
Response
No response example

Gets company service

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
companyIdstring(uuid)required

Company id

serviceIdstring(uuid)required

Service id

No request payload

Responses

Service dto

Body
idstring(uuid)

Service id

companyIdstring(uuid)

Company id

namestring or null

Service name

stateinteger(int32)(BankServiceState)

BankServiceState

  • 0 - Unknown
  • 1 - Active
  • 2 - Wait for signing
  • 3 - Wait for bank approve
  • 4 - Wait for zData approve
  • 5 - Deactivated
Enum012345
bicstring or null

Service BIC

createdstring(date-time)

Service creation time

Response
{
  "Id": "acda16d8-4057-47c3-a280-dd828c80b404",
  "CompanyId": "90769ab4-d45a-437d-beb9-17d83fcf95fc",
  "Name": "Agreenet for Donal Duck",
  "State": 0,
  "BIC": "DNBANOKK",
  "Created": "2026-03-07T08:44:19.4148124+01:00"
}

Statement

Operations

User

Operations